package de.avatic.lcc.util.exception.internalerror;

import de.avatic.lcc.util.exception.base.InternalErrorException;

public class PremiseValidationError extends InternalErrorException {

    public PremiseValidationError(String message, String supplierName, String partNumber, boolean showCalcInfo) {
        super("Calculation data validation failed.", showCalcInfo ? String.format("%s (Part number: %s - %s)" , message, partNumber, supplierName) : message);
    }

    public PremiseValidationError(String message) {
        super("Calculation data validation failed.", message);
    }


}
